Skip to main content
GET
Get all Notes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

totalCount
boolean
default:false

Include total count of the collection in the pagination response

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:20

Number of items to include in the page

Required range: 0 <= x <= 100
filter
string

Filter options

includes
enum<string>[]

Additional properties to include in the response

Available options:
companiesPreview,
personsPreview,
opportunitiesPreview,
repliesCount

Response

OK

NotesPaged model

data
(notes.EntitiesNote · object | notes.InteractionNote · object | notes.AiNotetakerRootNote · object | notes.UserReplyNote · object | notes.AiNotetakerReplyNote · object)[]
required

A page of Note objects

Maximum array length: 100

A Note object attached to an entity (Person, Company, Opportunity)

Example:
pagination
PaginationWithTotalCount · object
required